OpenSSH 条件竞争漏洞CVE-2024-6387

admin 2024年7月1日23:03:25评论18 views字数 322阅读1分4秒阅读模式

【漏洞预警】OpenSSH 条件竞争漏洞CVE-2024-6387

洞描描述:

Openssh Server中8.5p1和9.7p1之间的版本中存在一处条件竞争漏洞,如果客户端在120秒内没有进行身份验证(由LoginGraceTime定义的设置),则sshd的 SIGALRM 处理程序会以一种非异步信号安全的方式异步调用,成功的利用此漏洞可以导致远程攻击者以root的权限执行远程代码。

修复建议:
正式防护方案:

OpenSSH已经发布更新版本修复此漏洞,建议用户立即升级到安全版本。

安全版本:
OpenSSH >= 9.8p1

官方下载地址:
https://www.openssh.com/releasenotes.html

原文始发于微信公众号(飓风网络安全):【漏洞预警】OpenSSH 条件竞争漏洞CVE-2024-6387

  • 左青龙
  • 微信扫一扫
  • weinxin
  • 右白虎
  • 微信扫一扫
  • weinxin
admin
  • 本文由 发表于 2024年7月1日23:03:25
  • 转载请保留本文链接(CN-SEC中文网:感谢原作者辛苦付出):
                   OpenSSH 条件竞争漏洞CVE-2024-6387http://cn-sec.com/archives/2906817.html

发表评论

匿名网友 填写信息